#

- Developed by Dented Pixel
API Docs for: LeanTween 2.50

### Support LeanTween!

#### Maintaining and adding new features takes time, your support is appreciated.

Show: Inherited Protected Private Deprecated

# LeanTweenType Class

Defined in: `LeanTween.cs:41`

Pass this to the "ease" parameter, to get a different easing behavior
Example:
LeanTween.rotateX(gameObject, 270.0f, 1.5f).setEase(LeanTweenType.easeInBack);

- Index
- Properties

## Item Index

### Properties

- easeInBack
- easeInBounce
- easeInCirc
- easeInCubic
- easeInElastic
- easeInExpo
- easeInOutBack
- easeInOutBounce
- easeInOutCirc
- easeInOutCubic
- easeInOutElastic
- easeInOutExpo
- easeInOutQuad
- easeInOutQuart
- easeInOutQuint
- easeInOutSine
- easeInQuad
- easeInQuart
- easeInQuint
- easeInSine
- easeOutBack
- easeOutBounce
- easeOutCirc
- easeOutCubic
- easeOutElastic
- easeOutExpo
- easeOutQuad
- easeOutQuart
- easeOutQuint
- easeOutSine
- linear
- punch

## Properties

### `easeInBack`

Integer

Defined in `LeanTween.cs:123`

### `easeInBounce`

Integer

Defined in `LeanTween.cs:114`

### `easeInCirc`

Integer

Defined in `LeanTween.cs:105`

### `easeInCubic`

Integer

Defined in `LeanTween.cs:60`

### `easeInElastic`

Integer

Defined in `LeanTween.cs:132`

### `easeInExpo`

Integer

Defined in `LeanTween.cs:96`

### `easeInOutBack`

Integer

Defined in `LeanTween.cs:129`

### `easeInOutBounce`

Integer

Defined in `LeanTween.cs:120`

### `easeInOutCirc`

Integer

Defined in `LeanTween.cs:111`

### `easeInOutCubic`

Integer

Defined in `LeanTween.cs:66`

### `easeInOutElastic`

Integer

Defined in `LeanTween.cs:138`

### `easeInOutExpo`

Integer

Defined in `LeanTween.cs:102`

### `easeInOutQuad`

Integer

Defined in `LeanTween.cs:57`

### `easeInOutQuart`

Integer

Defined in `LeanTween.cs:75`

### `easeInOutQuint`

Integer

Defined in `LeanTween.cs:84`

### `easeInOutSine`

Integer

Defined in `LeanTween.cs:93`

### `easeInQuad`

Integer

Defined in `LeanTween.cs:54`

### `easeInQuart`

Integer

Defined in `LeanTween.cs:69`

### `easeInQuint`

Integer

Defined in `LeanTween.cs:78`

### `easeInSine`

Integer

Defined in `LeanTween.cs:87`

### `easeOutBack`

Integer

Defined in `LeanTween.cs:126`

### `easeOutBounce`

Integer

Defined in `LeanTween.cs:117`

### `easeOutCirc`

Integer

Defined in `LeanTween.cs:108`

### `easeOutCubic`

Integer

Defined in `LeanTween.cs:63`

### `easeOutElastic`

Integer

Defined in `LeanTween.cs:135`

### `easeOutExpo`

Integer

Defined in `LeanTween.cs:99`

### `easeOutQuad`

Integer

Defined in `LeanTween.cs:51`

### `easeOutQuart`

Integer

Defined in `LeanTween.cs:72`

### `easeOutQuint`

Integer

Defined in `LeanTween.cs:81`

### `easeOutSine`

Integer

Defined in `LeanTween.cs:90`

### `linear`

Integer

Defined in `LeanTween.cs:48`

### `punch`

Integer

Defined in `LeanTween.cs:141`